buildr-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Antoine Toulme <anto...@lunar-ocean.com>
Subject Fwd: Buildr 1.4.0 RC4
Date Wed, 16 Jun 2010 18:20:25 GMT
Forwarding this to the user list.

For groovy, let me see....

the doc says to do this:
artifact_ns['Buildr::Compiler::Groovyc'].groovy = '1.7.1'

Feel free to try it out.

---------- Forwarded message ----------
From: Peter Schröder <ps@blau.de>
Date: Wed, Jun 16, 2010 at 06:55
Subject: Re: Buildr 1.4.0 RC4
To: "antoine@lunar-ocean.com" <antoine@lunar-ocean.com>


there were no problems with our continous builds.

i ran some test against my buildr-examples (
http://github.com/phoet/buildr-examples) and there were problems with
circular dependencies, that i could fix locally.

the only thing that did not work was:

# configure a different groovy-version

Buildr::Groovy::Groovyc::REQUIRES.groovy = '1.6.0'


http://github.com/phoet/buildr-examples/blob/master/building/compiler/buildfile

even though i could not remember why one would use it.

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message